import request from '@/utils/request'

// 查询企业微信的视频号列表
export function listQwUserVideo(query) {
  return request({
    url: '/qw/userVideo/list',
    method: 'get',
    params: query
  })
}

// 查询企业微信的视频号详细
export function getQwUserVideo(id) {
  return request({
    url: '/qw/userVideo/' + id,
    method: 'get'
  })
}

// 新增企业微信的视频号
export function addQwUserVideo(data) {
  return request({
    url: '/qw/userVideo',
    method: 'post',
    data: data
  })
}

// 修改企业微信的视频号
export function updateQwUserVideo(data) {
  return request({
    url: '/qw/userVideo',
    method: 'put',
    data: data
  })
}

// 删除企业微信的视频号
export function delQwUserVideo(id) {
  return request({
    url: '/qw/userVideo/' + id,
    method: 'delete'
  })
}

// 导出企业微信的视频号
export function exportQwUserVideo(query) {
  return request({
    url: '/qw/userVideo/export',
    method: 'get',
    params: query
  })
}
